#!/usr/bin/env bash
#
# Launch sway
set -euo pipefail
IFS=$'\n\t'
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

export XDG_CURRENT_DESKTOP=sway
export WLR_RENDERER=vulkan

# Enable wayland support for electron (vscode)
export ELECTRON_OZONE_PLATFORM_HINT=wayland

# Enable wayland support for firefox
export MOZ_ENABLE_WAYLAND=1

# Enable dark theme
# export QT_STYLE_OVERRIDE=adwaita-dark

# Wayland seems enabled by default for qt5 with qt5-wayland installed but if a proprietary program bundles their own qt then I may have to set QT_QPA_PLATFORM="wayland;xcb"
# Wayland does not seem enabled for gtk apps and setting GDK_BACKEND=wayland did not change that.

exec ck-launch-session dbus-run-session sway -d &> $HOME/.config/swaylog
