{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  environment.systemPackages = with pkgs; [
    powertop
  ];

  # pcie_aspm=force pcie_aspm.policy=powersupersave :: Enable PCIe active state power management for power reduction.
  # nowatchdog :: Disable watchdog for power savings (related to disable_sp5100_watchdog above).
  boot.kernelParams = [
    "pcie_aspm=force"
    # "pcie_aspm.policy=powersupersave"
    "nowatchdog"
  ];

  # default performance balance_performance balance_power power
  # defaults to balance_performance
  # systemd.tmpfiles.rules = [
  #   "w- /sys/devices/system/cpu/cpufreq/policy0/energy_performance_preference - - - - power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy1/energy_performance_preference - - - - power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy2/energy_performance_preference - - - - power"
  #   "w- /sys/devices/system/cpu/cpufreq/policy3/energy_performance_preference - - - - power"
  # ];

  boot.extraModprobeConfig = ''
    options snd_hda_intel power_save=1
  '';
}
