{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];
  options.me = {
    alacritty.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install alacritty.";
    };
  };

  config = lib.mkIf config.me.alacritty.enable (
    lib.mkMerge [
      (lib.mkIf config.me.graphical {
        environment.systemPackages = with pkgs; [
          alacritty
          xdg-utils # for xdg-open
        ];

        home-manager.users.talexander =
          { pkgs, ... }:
          {
            home.file.".config/alacritty/alacritty.toml" = {
              source = ./files/alacritty.toml;
            };
          };
      })
    ]
  );

}
