# TODO: Maybe replace with https://gitlab.com/w0lff/shikane because its written in rust
{
  config,
  lib,
  pkgs,
  ...
}:

let
  exec_kanshi = pkgs.writeTextFile {
    name = "exec_kanshi.conf";
    text = ''
      exec kanshi
    '';
  };
in
{
  imports = [ ];

  options.me = {
    kanshi.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install kanshi.";
    };
  };

  config = lib.mkIf config.me.kanshi.enable (
    lib.mkMerge [
      {
        environment.systemPackages = with pkgs; [
        ];
      }
      (lib.mkIf config.me.graphical {
        environment.systemPackages = with pkgs; [
          kanshi
        ];

        me.swayIncludes = [
          exec_kanshi
        ];

        home-manager.users.talexander =
          { pkgs, ... }:
          {
            home.file = {
              ".config/kanshi/config" = {
                source = ./files/config_kanshi;
              };
            };
          };
      })
    ]
  );
}
