{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  options.me = {
    qemu.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install qemu.";
    };
  };

  config = lib.mkIf config.me.qemu.enable (
    lib.mkMerge [
      {
        environment.systemPackages = with pkgs; [
          qemu
        ];
      }
    ]
  );
}
