{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  environment.systemPackages = with pkgs; [
    sshfs
  ];

  environment.persistence."/persist" = lib.mkIf (!config.me.buildingIso) {
    hideMounts = true;
    users.talexander = {
      files = [
        ".ssh/known_hosts"
      ];
    };
    users.root = {
      home = "/root";
      files = [
        ".ssh/known_hosts"
      ];
    };
  };

  home-manager.users.talexander =
    { pkgs, ... }:
    {
      home.file.".ssh/config" = {
        source = ./files/ssh_config;
      };
    };

  home-manager.users.root =
    { pkgs, ... }:
    {
      home.file.".ssh/config" = {
        source = ./files/ssh_config_root;
      };
    };
}
