{
  config,
  lib,
  pkgs,
  ...
}:

let
  launch_terminal = pkgs.writeTextFile {
    name = "launch_terminal.conf";
    text = ''
      exec ${pkgs.alacritty}/bin/alacritty
    '';
  };
in
{
  imports = [ ];

  config = lib.mkIf (config.me.buildingIso && config.me.graphical && config.me.sway.enable) {
    # Launch a terminal at boot in the live ISO for when hotkeys don't work.
    me.swayIncludes = [
      launch_terminal
    ];
  };
}
