{
  config,
  lib,
  pkgs,
  ...
}:

let
  notification_sway_config = pkgs.writeTextFile {
    name = "notification.conf";
    text =
      builtins.replaceStrings
        [ "@mako@" "@makoctl@" ]
        [ "${pkgs.mako}/bin/mako" "${pkgs.mako}/bin/makoctl" ]
        ''
          bindsym $mod+Escape exec @makoctl@ dismiss
          bindsym $mod+Shift+Escape exec @makoctl@ invoke

          # Notifications
          exec @mako@
        '';
  };
in
{
  imports = [ ];

  config = lib.mkIf (config.me.graphical && config.me.sway.enable) {
    me.swayIncludes = [
      notification_sway_config
    ];
  };
}
