{
  config,
  lib,
  pkgs,
  pkgs-unoptimized,
  ...
}:

{
  imports = [ ];

  options.me = {
    wasm.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install wasm.";
    };
  };

  config = lib.mkIf config.me.wasm.enable (
    lib.mkMerge [
      {
        environment.systemPackages = with pkgs; [
          wabt
          wasm-bindgen-cli
          binaryen # for wasm-opt
        ];

        nixpkgs.overlays = [
          (final: prev: {
            inherit (pkgs-unoptimized)
              binaryen
              ;
          })
        ];
      }
    ]
  );
}
